#
# spec file for package fly
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fly
Version:        2.0.1
Release:        2.5
Summary:        A Script to Create PNGs
License:        SUSE-Permissive
Group:          Productivity/Graphics/Visualization/Other
URL:            http://martin.gleeson.com/fly/
# Mirror is used since martin gleeson (master site) rejects robot requests
Source:         http://www.w3perl.com/fly/dist/%{name}-%{version}.tar.gz
Patch1:         fly-2.0.0-gif.patch
BuildRequires:  dos2unix
BuildRequires:  gd-devel

%description
Fly allows you to create images with script statements. It uses gdlib.

%prep
%autosetup -p0
# Gifs are not supported
rm -fr examples/gif

# Duplicate file in source
rm -f examples/jpeg/small-end.fly

# Use unix line endings
dos2unix README examples/{jpeg,png,perl}/* examples/example.csh

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" CC="gcc" LIBS="-lgd"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 fly %{buildroot}%{_bindir}

%files
%doc README examples doc
%{_bindir}/fly

%changelog
* Thu Feb 22 2024 Michael Vetter <mvetter@suse.com>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Tue Mar 13 2018 avindra@opensuse.org
- switch download to mirror site so that "localrun downloadfiles"
  can work
* Tue Mar 13 2018 crrodriguez@opensuse.org
- remove buildrequires on freetype2-devel, libjpeg-devel
  libpng-devel, xorg-x11, xorg-x11-devel, only gd library
  is ever used.
* Sat Oct  7 2017 aavindraa@gmail.com
- Update to 2.0.1
  * Fly tested for compatibility with gd version 2.0.35.
  * Makefile updated for correct/new reference to freetype library.
  * Has been tested on Linux/x86.
- Drop fly-2.0.0-libs.patch (freetype lib reference fixed upstream)
- Lint spec file
- Fix a few warnings:
  * Incorrect file endings
  * Drop duplicate example from source
  * Drop gif examples as gifs are not supported
* Tue May 29 2012 cfarrell@suse.com
- license update: SUSE-Permissive
  SPDX format (or next best alternative from the spreadsheet linked at
  license.opensuse.org)
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Thu Oct 24 2002 nadvornik@suse.cz
- added BuildRoot
* Fri Aug 16 2002 ro@suse.de
- removed empty postinstall (#17837)
* Tue Apr 23 2002 nadvornik@suse.cz
- fixed to compile on ppc
- removed needless freetype from neededforbuild
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 17 2001 rvasice@suse.cz
- update to version 2.0.0
* Mon Sep 24 2001 rvasice@suse.cz
- fix documentation GIF -> PNG
* Wed Aug 15 2001 kukuk@suse.de
- Fix path to perl interpreter in examples
* Wed Mar 21 2001 ro@suse.de
- added freetype2 to neededforbuild
* Thu Nov 16 2000 ro@suse.de
- fixed to build with new shared gd-lib
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Aug 24 2000 ro@suse.de
- switched to current gdlib: produce PNG
* Thu Aug 24 2000 ray@suse.de
- new package 1.6.5
